#ifndef APERIODIC1_H
#define APERIODIC1_H

#include <dolc.h>

#define PORT_OUT "p210"

#define DOLC_EVENT_FINISH 1

#define MODE_NORMAL 1
#define MODE_DEGRADED 0

typedef struct _dolc_local_states{

	int index;
} Aperiodic1_State;

void aperiodic1_init(DOLCProcess *);
void aperiodic1_fire(DOLCProcess *, int);
void aperiodic1_terminate(DOLCProcess *);

#endif