#ifndef PERIODIC6_H
#define PERIODIC6_H

#include <dolc.h>

#define PORT_IN "p600"

#define MODE_NORMAL 1
#define MODE_DEGRADED 0

typedef struct _dolc_local_states {
    int index;
} Periodic6_State;

void periodic6_init(DOLCProcess *);
void periodic6_fire(DOLCProcess *, int);
void periodic6_terminate(DOLCProcess *);

#endif
