#include <assert.h>

#include "aperprod_proto.h"

void Caperprod_init(void* state) {        
    Caperprod_State* my_state = (Caperprod_State*) state;
    my_state->count = 0;
    //printf("DEBUG PRO: %ux\n", (unsigned) my_state); 
}


int Caperprod_prefire(void* state, int interval, int m_max, int prefire_period) {

    assert(m_max>=3 && interval==100 && prefire_period == 10);

    int ready = 0;

    Caperprod_State* my_state = (Caperprod_State*) state;

    // m_max=3 =>
    //   ready at count 0, 1, 2, not ready at times 3, 4, 5, 6, 7, 8, 9
    if (my_state->count % 10 < m_max) {
        ready = 1;
    }

    //printf("aperprod Prefire: count = %d\n", my_state->count);
    my_state->count++;
    if (my_state->count==10) {
       my_state->count=0;
    }

    return ready;
}

