#ifndef PERIODIC5_H
#define PERIODIC5_H

#include <dolc.h>

#define PORT_IN1 "p501"
#define PORT_IN2 "p502"
#define PORT_IN3 "p503"
#define PORT_IN4 "p504"
#define PORT_OUT "p500"

#define MODE_NORMAL 1
#define MODE_DEGRADED 0

typedef struct _dolc_local_states {
    int index;
} Periodic5_State;

void periodic5_init(DOLCProcess *);
void periodic5_fire(DOLCProcess *, int);
void periodic5_terminate(DOLCProcess *);

#endif
